zed: put s1=.["yodawg"],s2=.[yodawg],k=.["..."]+1

input: |
  #0:record[foo:string,[bar]:string,[...]:int32,yodawg:string]
  0:[yodawg;a;1;foo;]
  0:[yodawg;b;2;bar;]

output-flags: -f tzng

output: |
  #0:record[foo:string,bar:string,[...]:int32,yodawg:string,s1:string,s2:string,k:int64]
  0:[yodawg;a;1;foo;foo;yodawg;2;]
  0:[yodawg;b;2;bar;bar;b;3;]
